local modname = minetest.get_current_modname()

local soy = modname .. ":soy"
local tofu_raw = modname .. ":tofu_raw"
local tofu_cooked = modname .. ":tofu_cooked"
local tofu_block_raw = modname .. ":tofu_block_raw"
local tofu_block_cooked = modname .. ":tofu_block_cooked"

minetest.register_craft({
	output = tofu_raw,
	recipe = {
		{ soy, soy, soy },
		{ soy, soy, soy },
	},
})

minetest.register_craft({
	type = "cooking",
	output = tofu_cooked,
	recipe = tofu_raw,
	cooktime = 10,
})

mcl_vegan.register_compress_recipe(tofu_raw, tofu_block_raw)
mcl_vegan.register_compress_recipe(tofu_cooked, tofu_block_cooked)

minetest.register_craft({
	type = "cooking",
	output = tofu_block_cooked,
	recipe = tofu_block_raw,
	cooktime = 80,
})
