local modname = minetest.get_current_modname()

local tomato = modname .. ":tomato"
local seeds = modname .. ":seeds"
local sauce = modname .. ":sauce"

local wheat = "mcl_farming:wheat_item"
local pasta = modname .. ":pasta"

local pasta_with_sauce = modname .. ":pasta_with_sauce"

minetest.register_craft({
	type = "shapeless",
	output = seeds .. " 4",
	recipe = { tomato },
})

minetest.register_craft({
	output = sauce,
	recipe = {
		{ tomato },
		{ "mcl_potions:glass_bottle" },
	},
})

minetest.register_craft({
	output = pasta,
	recipe = {
		{ wheat, wheat },
		{ wheat, wheat },
	},
})

minetest.register_craft({
	type = "shapeless",
	output = pasta_with_sauce,
	recipe = { pasta, sauce },
})
