local modname = minetest.get_current_modname()

mcl_vegan.register_plant_items(modname, "tomato", {
	seed = "seeds",
	descriptions = {
		base = "Tomato",
		seed = "Tomato Seeds",
	},
	food_strength = 2.0,
})

local reg_food = mcl_vegan.register_food

reg_food(modname, "pasta", {
	description = "Noddles :3",
	food_strength = 3.0,
	saturation = 2.0,
})

reg_food(modname, "sauce", {
	description = "Tomato Sauce",
	food_strength = 2.0,
	saturation = 2.0,
})

reg_food(modname, "pasta_with_sauce", {
	description = "Noddles with Tomato Sauce",
	food_strength = 8.0,
	saturation = 8.0,
})
