local modname = minetest.get_current_modname()

local tomato = modname .. ":tomato"
local seeds = modname .. ":seeds"

local final_drops = {
	max_items = 4,
	items = {
		{ items = { seeds } },
		{ items = { tomato } },
		{ items = { tomato .. " 2" }, rarity = 2 },
		{ items = { seeds .. " 2" }, rarity = 2 },
		{ items = { tomato .. " 3" }, rarity = 4 },
		{ items = { tomato } },
		{ items = { seeds }, rarity = 2 },
	},
}

mcl_vegan.register_basic_plant(modname, "tomato", {
	seed = "seeds",
	descriptions = {
		crop = "Tomato Plant",
	},
	drops = final_drops,
	growth_interval = 5,
	growth_chance = 1,
	can_forage = true,
})
