function mcl_vegan.get_drop (target_name)
	local def = minetest.registered_items[target_name]
	if not def then return false end
	def.drop = def.drop or {}
	return def.drop
end

function mcl_vegan.add_drop (target_name, item)
	local drops = mcl_vegan.get_drop(target_name)
	if not drops then return false end
	table.insert(drops.items, item)
	return true
end

function mcl_vegan.add_drops (target_name, items)
	local drops = mcl_vegan.get_drop(target_name)
	if not drops then return false end
	for _, item in pairs(items) do
		table.insert(drops.items, item)
	end
	return true
end
