local mcl_vegan = rawget(_G, "mcl_vegan") or {}
rawset(_G, "mcl_vegan", mcl_vegan)

local function include (filename)
	local modname = minetest.get_current_modname()
	local path = minetest.get_modpath(modname)
	return dofile(path .. "/" .. filename .. ".lua")
end
rawset(_G, "include", include)

include("debug")
include("farming_node")
include("farming_item")
include("drops")
include("food")
include("craft")
